org.jfree.data.general

## Class AbstractSeriesDataset

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.AbstractSeriesDataset

- All Implemented Interfaces:
    java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, Dataset, SeriesChangeListener, SeriesDataset
  Direct Known Subclasses:
    AbstractXYDataset

      public abstract class AbstractSeriesDataset
      extends AbstractDataset
      implements SeriesDataset, SeriesChangeListener, java.io.Serializable

  An abstract implementation of the `SeriesDataset` interface, containing a mechanism for registering change listeners.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSeriesDataset()` Creates a new dataset.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getSeriesCount()` Returns the number of series in the dataset.
    `abstract java.lang.Comparable` | `getSeriesKey(int series)` Returns the key for a series.
    `int` | `indexOf(java.lang.Comparable seriesKey)` Returns the index of the named series, or -1.
    `void` | `seriesChanged(SeriesChangeEvent event)` Called when a series belonging to the dataset changes.

    - ### Methods inherited from class org.jfree.data.general.AbstractDataset

      `addChangeListener, clone, fireDatasetChanged, getGroup, getNotify, hasListener, notifyListeners, removeChangeListener, setGroup, setNotify, validateObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.data.general.Dataset

      `addChangeListener, getGroup, removeChangeListener, setGroup`

- - ### Constructor Detail

    - #### AbstractSeriesDataset

          protected AbstractSeriesDataset()

      Creates a new dataset.

  - ### Method Detail

    - #### getSeriesCount

          public abstract int getSeriesCount()

      Returns the number of series in the dataset.
      Specified by:
        `getSeriesCount` in interface `SeriesDataset`
      Returns:
        The series count.

    - #### getSeriesKey

          public abstract java.lang.Comparable getSeriesKey(int series)

      Returns the key for a series.

      If `series` is not within the specified range, the implementing method should throw an `IndexOutOfBoundsException` (preferred) or an `IllegalArgumentException`.

      Specified by:
        `getSeriesKey` in interface `SeriesDataset`
      Parameters:
        `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
      Returns:
        The series key.

    - #### indexOf

          public int indexOf(java.lang.Comparable seriesKey)

      Returns the index of the named series, or -1.
      Specified by:
        `indexOf` in interface `SeriesDataset`
      Parameters:
        `seriesKey` - the series key (`null` permitted).
      Returns:
        The index.

    - #### seriesChanged

          public void seriesChanged(SeriesChangeEvent event)

      Called when a series belonging to the dataset changes.
      Specified by:
        `seriesChanged` in interface `SeriesChangeListener`
      Parameters:
        `event` - information about the change.